<?xml version="1.0" encoding="UTF-8"?>
<TEVENT_CALENDAR desc_thai="Event Calendar" desc_eng="Event Calendar" editcheck="true" mainhelp="TEVENT_CALENDARHELP" referhelp="TEVENT_CALENDARHELP" mainkey="EVENTID" fieldsystem="*" protype="table" deleteflag="true" config_field="">
<FIELD>

	<EVENTID lang="A" encrypt="false" log="false" type="AutoNumber" table="TEVENT_CALENDAR">
		<KEY>1</KEY>
		<WIDTH>15</WIDTH>
		<DESC_ENG>Event ID</DESC_ENG>
		<DESC_THAI>Event ID</DESC_THAI>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="text">
			<SIZE>15</SIZE>
			<MAXSIZE>15</MAXSIZE>
			<ALT_THAI>Event ID</ALT_THAI>
			<ALT_ENG>Event ID</ALT_ENG>
		</COMPONENT>
	</EVENTID>
	
	<COMPANYID lang="A" encrypt="false" log="false" type="String">
		<KEY>2</KEY>
		<WIDTH>5</WIDTH>		
		<DESC_ENG>Company ID</DESC_ENG>
		<DESC_THAI>รหัสบริษัท</DESC_THAI>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="text">
			<SIZE>5</SIZE>
			<MAXSIZE>5</MAXSIZE>
			<ALT_THAI>รหัสบริษัท</ALT_THAI>
			<ALT_ENG>Company ID</ALT_ENG>
		</COMPONENT>
	</COMPANYID>



	<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
		<WIDTH>15</WIDTH>
		<RELATION>MEMPLOYEE</RELATION>
		<DESC_ENG>Employee ID</DESC_ENG>
		<DESC_THAI>รหัสพนักงาน</DESC_THAI>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="text">
			<SIZE>15</SIZE>
			<MAXSIZE>15</MAXSIZE>
			<ALT_THAI>รหัสพนักงาน</ALT_THAI>
			<ALT_ENG>Employee ID</ALT_ENG>
		</COMPONENT>
	</EMPLOYEEID>
	<EVENT_GROUP lang="A" encrypt="false" log="false" type="String">
		<WIDTH>10</WIDTH>		
		<DESC_ENG>กลุ่มกิจกรรม</DESC_ENG>
		<DESC_THAI>Event Group</DESC_THAI>
		<RELATION>VW_ECALENDAR_TYPE</RELATION>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="list">
			<SIZE>10</SIZE>
			<MAXSIZE>10</MAXSIZE>
			<!--TABLE>MEVENTGROUPHELP,GROUPID,TDESC,  ,GROUPID</TABLE-->
			<VALIDCODE>ECALENDAR_GROUP</VALIDCODE>
			<ALT_THAI>กลุ่มกิจกรรม</ALT_THAI>
			<ALT_ENG>Event Group</ALT_ENG>
		</COMPONENT>
	</EVENT_GROUP>
	<EVENT_TYPE lang="A" encrypt="false" log="false" type="String">
		<WIDTH>15</WIDTH>		
		<DESC_ENG>ประเภท</DESC_ENG>
		<DESC_THAI>Event Type</DESC_THAI>
		<RELATION>VW_ECALENDAR_TYPE</RELATION>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="list">
			<SIZE>15</SIZE>
			<MAXSIZE>15</MAXSIZE>
			<ALT_THAI>ประเภท</ALT_THAI>
			<ALT_ENG>Event Type</ALT_ENG>
		</COMPONENT>
	</EVENT_TYPE>

	<EVENT_ITEM lang="A" encrypt="false" log="false" type="String">
		<WIDTH>15</WIDTH>		
		<DESC_ENG>Item</DESC_ENG>
		<DESC_THAI>Item</DESC_THAI>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="text">
			<SIZE>15</SIZE>
			<MAXSIZE>15</MAXSIZE>
			<ALT_THAI>Item</ALT_THAI>
			<ALT_ENG>Item</ALT_ENG>
		</COMPONENT>
	</EVENT_ITEM>

	<TSUBJECT lang="T" encrypt="false" log="false" type="String">
		<WIDTH>255</WIDTH>		
		<DESC_ENG>Subject (Thai)</DESC_ENG>
		<DESC_THAI>ชื่อเรื่อง (ไทย)</DESC_THAI>
		<REFER_LANG>ESUBJECT</REFER_LANG>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="text">
			<SIZE>80</SIZE>
			<MAXSIZE>255</MAXSIZE>
			<ALT_THAI>ชื่อเรื่อง (ไทย)</ALT_THAI>
			<ALT_ENG>Subject (Thai)</ALT_ENG>
		</COMPONENT>
	</TSUBJECT>
	<ESUBJECT lang="E" encrypt="false" log="false" type="String">
		<WIDTH>255</WIDTH>		
		<DESC_ENG>Subject (Eng)</DESC_ENG>
		<DESC_THAI>ชื่อเรื่อง (อังกฤษ)</DESC_THAI>
		<REFER_LANG>TSUBJECT</REFER_LANG>
		<COMPONENT type="text">
			<SIZE>80</SIZE>
			<MAXSIZE>255</MAXSIZE>
			<ALT_THAI>ชื่อเรื่อง (อังกฤษ)</ALT_THAI>
			<ALT_ENG>Subject (Eng)</ALT_ENG>
		</COMPONENT>
	</ESUBJECT>

	<TDESC lang="T" encrypt="false" log="false" type="String">
		<WIDTH>4000</WIDTH>		
		<DESC_ENG>Description (Thai)</DESC_ENG>
		<DESC_THAI>รายละเอียด (ไทย)</DESC_THAI>
		<REFER_LANG>EDESC</REFER_LANG>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="textarea">
			<SIZECHAR>80</SIZECHAR>
			<LINES>4</LINES>
			<ALT_ENG>>Description (Thai)</ALT_ENG>
			<ALT_THAI>รายละเอียด (ไทย)</ALT_THAI>
		</COMPONENT>
	</TDESC>
	<EDESC lang="E" encrypt="false" log="false" type="String">
		<WIDTH>4000</WIDTH>		
		<DESC_ENG>>Description (Thai)</DESC_ENG>
		<DESC_THAI>รายละเอียด (อังกฤษ)</DESC_THAI>
		<REFER_LANG>TDESC</REFER_LANG>
		<COMPONENT type="textarea">
			<SIZECHAR>80</SIZECHAR>
			<LINES>4</LINES>
			<ALT_ENG>>Description (Thai)</ALT_ENG>
			<ALT_THAI>รายละเอียด (อังกฤษ)</ALT_THAI>
		</COMPONENT>
	</EDESC>


	<ALLDAYEVENT lang="A" encrypt="false" verify="false" log="false" type="String">
		<WIDTH>1</WIDTH>
		<DESC_ENG>All Day Event</DESC_ENG>
		<DESC_THAI>ตลอดวัน</DESC_THAI>
		<COMPONENT type="radio">
			<MAXSIZE>1</MAXSIZE>
			<SIZE>1</SIZE>
			<ALT_ENG>All Day Event</ALT_ENG>
			<ALT_THAI>ตลอดวัน</ALT_THAI>
			<VALIDCODE>YESNO</VALIDCODE>
			<DEFAULTVALUE>1</DEFAULTVALUE>
		</COMPONENT>
	</ALLDAYEVENT>
	<DISPLAYDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
		<WIDTH>10</WIDTH>
		<DESC_ENG>Display date</DESC_ENG>
		<DESC_THAI>วันที่แสดง</DESC_THAI>
		<COMPONENT type="calendar">
			<SIZE>10</SIZE>
			<MAXSIZE>10</MAXSIZE>
			<ALT_ENG>Display date</ALT_ENG>
			<ALT_THAI>วันที่แสดง</ALT_THAI>
		</COMPONENT>
	</DISPLAYDATE>

	<STARTDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
		<WIDTH>10</WIDTH>
		<DESC_ENG>From</DESC_ENG>
		<DESC_THAI>จาก</DESC_THAI>
		<COMPONENT type="calendar">
			<SIZE>10</SIZE>
			<MAXSIZE>10</MAXSIZE>
			<ALT_ENG>From</ALT_ENG>
			<ALT_THAI>จาก</ALT_THAI>
		</COMPONENT>
	</STARTDATE>

	<STARTTIME lang="A" encrypt="false" verify="false" log="false" type="BigDecimal">
		<WIDTH>5</WIDTH>
		<DESC_ENG>From</DESC_ENG>
		<DESC_THAI>จาก</DESC_THAI>
		<COMPONENT type="text">
			<SIZE>5</SIZE>
			<MAXSIZE>5</MAXSIZE>
			<ALT_ENG>From</ALT_ENG>
			<ALT_THAI>จาก</ALT_THAI>
		</COMPONENT>
	</STARTTIME>
	<ENDDATE lang="A" encrypt="false" verify="false" log="false" type="Date">
		<WIDTH>10</WIDTH>
		<DESC_ENG>To</DESC_ENG>
		<DESC_THAI>ถึง</DESC_THAI>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="calendar">
			<SIZE>10</SIZE>
			<MAXSIZE>10</MAXSIZE>
			<ALT_ENG>To</ALT_ENG>
			<ALT_THAI>ถึง</ALT_THAI>
		</COMPONENT>
	</ENDDATE>
	<ENDTIME lang="A" encrypt="false" verify="false" log="false" type="BigDecimal">
		<WIDTH>5</WIDTH>
		<DESC_ENG>To</DESC_ENG>
		<DESC_THAI>ถึง</DESC_THAI>
		<REQUIRE>true</REQUIRE>
		<COMPONENT type="text">
			<SIZE>5</SIZE>
			<MAXSIZE>5</MAXSIZE>
			<ALT_ENG>To</ALT_ENG>
			<ALT_THAI>ถึง</ALT_THAI>
		</COMPONENT>
	</ENDTIME>
	<REFERENCE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Reference</DESC_ENG>
			<DESC_THAI>รหัสอ้างอิง</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>30</MAXSIZE>
				<ALT_ENG>รหัสอ้างอิง</ALT_ENG>
				<ALT_THAI>Reference</ALT_THAI>
			</COMPONENT>
	</REFERENCE>

	<ISPUBLIC lang="A" encrypt="false" verify="false" log="false" type="String">
		<WIDTH>1</WIDTH>
		<DESC_ENG>Public</DESC_ENG>
		<DESC_THAI>Public</DESC_THAI>
		<COMPONENT type="radio">
			<MAXSIZE>1</MAXSIZE>
			<SIZE>1</SIZE>
			<ALT_ENG>Public</ALT_ENG>
			<ALT_THAI>Public</ALT_THAI>
			<VALIDCODE>YESNO</VALIDCODE>
			<DEFAULTVALUE>0</DEFAULTVALUE>
		</COMPONENT>
	</ISPUBLIC>
</FIELD>
	<RELATION>

		<MEMPLOYEE>
			<PARENT>TEVENT_CALENDAR.EMPLOYEEID</PARENT>
			<PARENT>TEVENT_CALENDAR.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>

	</RELATION>
</TEVENT_CALENDAR>
